﻿@using ServiceDesk.Presentation.Components.Mantenimientos
@page "/Mantenimientos/"


<div class="drawer-container">
    <div class="custom-toolbar">
        <TelerikButton OnClick="@ToggleDrawer" Icon="menu" Class="k-flat"></TelerikButton>
        <span class="mail-box">Mantenimientos</span>
    </div>
    <TelerikDrawer @ref="@Drawer" Data="Data" Position="@DrawerPosition.Right" MiniMode="true" Mode="@DrawerMode.Push" @bind-SelectedItem="SelectedItem">
        <Content>
            @{
                switch (SelectedItem.Text)
                {
                    case "Departamentos":
                        <DepartamentosTable></DepartamentosTable>
                        break;
                    case "Puestos":
                        <PuestoTable></PuestoTable>
                        break;
                    case "Sla":
                        <SlaTable></SlaTable>
                        break;
                    case "Prioridad":
                        <PrioridadTable></PrioridadTable>
                        break;
                    case "Usuarios":
                        <UsuariosTable></UsuariosTable>
                        break;
                    default:
                        break;
                }
            }

        </Content>
    </TelerikDrawer>
</div>

@code {
    public TelerikDrawer<DrawerItem> Drawer { get; set; }
    public DrawerItem SelectedItem { get; set; }
    public IEnumerable<DrawerItem> Data { get; set; }

    protected override Task OnInitializedAsync()
    {
        Data = new List<DrawerItem>
{
            new DrawerItem(){ Icon = IconName.Menu, Text = "Departamentos"},
            new DrawerItem(){ Icon = IconName.Menu, Text = "Puestos"},
            new DrawerItem(){ Icon = IconName.Clock, Text = "Sla"},
            new DrawerItem(){ Icon = IconName.Menu, Text = "Prioridad"},
            new DrawerItem(){ Icon = IconName.User, Text = "Usuarios"}
        };

        SelectedItem = Data.First();

        return base.OnInitializedAsync();
    }

    public async Task ToggleDrawer() => await Drawer.ToggleAsync();
}

<style>
    .drawer-container {
        margin: 30px auto;
        width: 100%;
    }

    .k-drawer-container {
        position: relative;
        width: 100%;
    }

    .k-icon {
        font-size: 20px;
    }

    .custom-toolbar {
        width: 100%;
        background-color: #f6f6f6;
        line-height: 10px;
        border-bottom: inset;
        border-bottom-width: 1px;
        padding: 3px 8px;
        color: #656565;
    }

    .mail-box {
        margin-left: 20px;
        font-weight: bold;
        font-size: 17px;
    }

    .page ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .page li {
        font-size: 20px;
        background: 0 0;
        border-radius: 0;
        border-width: 0 0 1px;
        border-color: rgba(33, 37, 41, 0.125);
        border-style: solid;
        line-height: 1.5em;
        padding: 1.09em .84em 1.23em .84em;
    }

        .page li:last-child {
            border: 0;
        }

        .page li h6 {
            border-bottom: none;
            padding-bottom: 8px;
        }
</style>